Generating PDF of issue with some HTML entities causes error
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 2.2.2

Description

HR tag with width:

<hr align="center" width="100%" />

width="100%" causes error

Nested tables:

<table>

<tr>

<td>

<table>

<tr><td>nested cell</td></tr>

</table>

</td>

<td>normal</td>

</tr>

</table>

History

#1 - 2013-02-23 22:51 - Filou Centrinov

How you insert html-Tags? As far I know Redmine treats html-tags like normal text by default. Do you use a plugin for that?

#2 - 2013-02-24 11:44 - Laszlo Kenyeres

Filou Centrinov wrote:

How you insert html-Tags? As far I know Redmine treats html-tags like normal text by default. Do you use a plugin for that?

 Redmine tcpdf library support any html.(?  I thought so.)

I tested this feature but failed. (bug? )

I think this is rather a new feature, to use tcpdf with any html. (or?)

Yes, i use external plugin to test tcpdf, ckeditor. (not suitable for the task?)

Without ckeditor, with custom development, is tcpdf able to convert any html to pdf?

thank you for your time

#3 - 2013-02-25 16:43 - Filou Centrinov

Yes, tcpdf is able to interprets HTML, but redmine won't print interpreted html-Tags, because HTML-tags are handled as text.

I you don't care about how it's printed, you can use a macro to insert HTML

#4 - 2021-06-27 07:51 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The TCPDF based PDF library was extracted as rbpdf gem in Redmine 2.6.0 (#17570) and the current versions of Redmine don't include a library for

generating PDF.

If you find problems in the gem that cannot be reproduced with plain Redmine, please report the issue to the rbpdf project.
http://www.redmine.org/boards/2/topics/2677
https://rubygems.org/gems/rbpdf
https://www.redmine.org/issues/17570
http://www.tcpdf.org

